/// <reference types="jquery" />
/// <reference types="jquery" />
import PositionType from './PositionType';
declare class ScreenManager {
    private _divContainer;
    private _padding;
    private _clickEvents;
    private _scale;
    constructor(divElement: HTMLElement);
    /**
     * Return the current visible area in the browser.
     */
    getVisibleBrowserSize(): {
        width: number;
        height: number;
    };
    setScale(scale: number): void;
    addEvent(eventType: string, listener: any): void;
    removeEvent(event: string, listener: any): void;
    fireEvent(type: string, event?: UIEvent): void;
    private mouseEvents;
    private tocuchEvents;
    getWorkspaceMousePosition(event: MouseEvent | TouchEvent): PositionType;
    getContainer(): JQuery<HTMLDivElement>;
    setOffset(x: number, y: number): void;
}
export default ScreenManager;
